from Mod3 import Class2 #Частичный импорт содержимого модуля Mod3
class Class3(Class2):  #Наследник класса Class2, а через него – и класса Class1
    def __init__(self,znach): #Конструктор-вызывается при создании нового экземпляра класса
        self.data=znach
    def __add__(self,drug_zn):  #Вызывается, когда экземпляр участвует в операции «+»
        return Class3(self.data+drug_zn)
    def zad_dr_zn(self,povtor):  #А это - обычный метод
	    self.data*=povtor

print("Родительский класс Class3:", Class3.__bases__)
print("\nРодительский класс Class2:", Class2.__bases__)
print("\nЦепочка наследования Class3:", Class3.__mro__)
print("\nЦепочка наследования для встроенного класса ошибок «деление на ноль»:", ZeroDivisionError.__mro__)